//
//  config.h	WHM0.8 configuration parameter
//  Copyright(C)2013 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2013.05.24 v0.0  First cording
//    2014.09.25 v0.8e Improvement of frequency detection precision
//
//

#ifndef CONFIG_H_
#define CONFIG_H_

//
//	External condition value
//
#define CH_COUNT			7			// Analog port count -> analog_caputure.[ch] edit

#define SAMPLE_COUNT		1000		//
//#define SAMPLE_COUNT		500			//
//#define SAMPLE_COUNT		250			//
//#define SAMPLE_COUNT		200			//
#define SAMPLE_INTERVAL		0.0001		// [s] 0.0001*1000count=100ms  50Hz->5wave 60Hz->6wave
//#define SAMPLE_INTERVAL	0.0002		// [s] 0.0002*500count=100ms  50Hz->5wave 60Hz->6wave
//#define SAMPLE_INTERVAL	0.0004		// [s] 0.0004*250count=100ms  50Hz->5wave 60Hz->6wave
//#define SAMPLE_INTERVAL	0.0005		// [s] 0.0005*200count=100ms  50Hz->5wave 60Hz->6wave

#define CT_RL				100			// [ohm] Load register
#define CT_N				3000		// Turn count,     U_RD CTL-10-CLS datasheet
#define CT_K				1.0			// Characteristic, U_RD CTL-10-CLS datasheet

#define LINE_FREQ_DFLT		50			// [Hz] CT only mode, setup default
#define LINE_VOLT_DFLT		100			// [V]  CT only mode, setup default
#define LINE_VOLT_DIV_R1	100			// [ohm] Voltage sense register, ADC side
#define LINE_VOLT_DIV_R2	200000		// [ohm] Voltage sense register, line side

#define ADC_VREF			3.0			// [V]
#define ADC_RESOLUTION		4096		// 12bit

#define SPIKE_CANCELER					// Finction enable: A/D converter miss recover		ADD 2014.09.25
#define LPF_RATE			5			// Software LPF parameter, simple moving average count
//#define FREQ_AVE			5			// Frequency measure of voltage, simple moving average count	DEL 2014.09.25

#define VSENSE_CH_DFLT		6			// Default voltage sensor x 1 setting, undef is all CT mode

#define USB_MEMORY_LOG_INTERVAL		10	// [sec]
#define USB_MEMORY_LOG_FILENAME		"0:WHM%04d%02d%02d.csv"
#define USB_MEMORY_SAVE_FILENAME	"0:WHM_EPROM.bin"

#endif /* CONFIG_H_ */
