//
//  eprom.h	EEPROM emulation by FLASH memory
//  Copyright(C)2014 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2014.02.02 v0.0  First cording
//
//

#ifndef EPROM_H_
#define EPROM_H_

//
//	API
//
extern void				eprom_open(void);
extern void				eprom_close(void);
extern int				eprom_read(void *buf, unsigned long epromAddr, int len);
extern int				eprom_write(void *buf, unsigned long epromAddr, int len);		// addr,len 4bytes boundary
extern int				eprom_erase(int epromBlock);

extern unsigned long	eprom_getSize(void);
extern int				eprom_getBlockByAddr(unsigned long epromAddr);
extern unsigned long	eprom_getAddrByBlock(int epromBlock);

extern void				*eprom_getRoundRobin(unsigned long *control, int len);
extern int				eprom_appendRoundRobin(void *buf, int len);
extern void				eprom_setRoundRobinNewEntry(unsigned long epromAddr);

#endif /* EPROM_H_ */
