//
//  rtc.h	Interrupt base Real time clock
//  Copyright(C)2013 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2013.05.22 v0.0  First cording
//
//

#ifndef RTC_H_
#define RTC_H_

#define OPT

#ifdef OPT
#include <time.h>
extern volatile time_t	rtc_time;
#define rtc_irq()	(rtc_time++)

#else
void rtc_irq(void);

#endif

void rtc_open(void);
void rtc_close(void);
// unix system call
// extern time_t time(time_t *t);
// extern int settimeofday(const struct timeval *tv, const struct timezone *tz);

#endif /* RTC_H_ */
